import { Test, TestingModule } from '@nestjs/testing';
import { PenaltyService } from './penalty.service';
import {getModelToken} from "@nestjs/mongoose";
import {Penalty} from "../schemas/penalty.schema";
import {Model} from "mongoose";

describe('PenaltyService', () => {
  let service: PenaltyService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        PenaltyService,
        { provide: getModelToken(Penalty.name), useValue: Model },
      ],
    }).compile();

    service = module.get<PenaltyService>(PenaltyService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
